Gentoo Archives: gentoo-commits

From: Emil Karlson <jekarlson@×××××.com>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/x11:master commit in: x11-drivers/ati-drivers/
Date: Sun, 27 Apr 2014 07:41:26
Message-Id: 1398584459.47c7b37225942cdf84dfb89d882ecdc4618e42b6.emil_karlson@gentoo
1 commit: 47c7b37225942cdf84dfb89d882ecdc4618e42b6
2 Author: Emil Karlson <jekarlson <AT> gmail <DOT> com>
3 AuthorDate: Sun Apr 27 07:40:59 2014 +0000
4 Commit: Emil Karlson <jekarlson <AT> gmail <DOT> com>
5 CommitDate: Sun Apr 27 07:40:59 2014 +0000
6 URL: http://git.overlays.gentoo.org/gitweb/?p=proj/x11.git;a=commit;h=47c7b372
7
8 x11-drivers/ati-drivers: version bump
9
10 ---
11 ...drivers-13.4.ebuild => ati-drivers-14.4.ebuild} | 116 +++++++++------------
12 1 file changed, 49 insertions(+), 67 deletions(-)
13
14 diff --git a/x11-drivers/ati-drivers/ati-drivers-13.4.ebuild b/x11-drivers/ati-drivers/ati-drivers-14.4.ebuild
15 similarity index 85%
16 rename from x11-drivers/ati-drivers/ati-drivers-13.4.ebuild
17 rename to x11-drivers/ati-drivers/ati-drivers-14.4.ebuild
18 index f2b5693..6393985 100644
19 --- a/x11-drivers/ati-drivers/ati-drivers-13.4.ebuild
20 +++ b/x11-drivers/ati-drivers/ati-drivers-14.4.ebuild
21 @@ -8,31 +8,23 @@ inherit eutils multilib linux-info linux-mod toolchain-funcs versionator pax-uti
22
23 DESCRIPTION="Ati precompiled drivers for Radeon Evergreen (HD5000 Series) and newer chipsets"
24 HOMEPAGE="http://www.amd.com"
25 -MY_V=( $(get_version_components) )
26 -#RUN="${WORKDIR}/amd-driver-installer-9.00-x86.x86_64.run"
27 +RUN="${WORKDIR}/fglrx-14.10.1006/amd-driver-installer-14.10.1006-x86.x86_64.run"
28 SLOT="1"
29 -if [[ "${MY_V[2]}" =~ beta.* ]]; then
30 - BETADIR="beta/"
31 -else
32 - BETADIR="linux/"
33 -fi
34 -if [[ legacy != ${SLOT} ]]; then
35 - DRIVERS_URI="http://www2.ati.com/drivers/${BETADIR}amd-catalyst-${PV/_beta/-beta}-linux-x86.x86_64.zip"
36 -else
37 - DRIVERS_URI="http://www2.ati.com/drivers/legacy/amd-driver-installer-catalyst-$(get_version_component_range 1-2)-$(get_version_component_range 3)-legacy-linux-x86.x86_64.zip"
38 -fi
39 +# Uses javascript for download YESSSS
40 +#DRIVERS_URI="http://www2.ati.com/drivers/linux/amd-catalyst-13.12-linux-x86.x86_64.zip"
41 +DRIVERS_URI="http://dev.gentooexperimental.org/~scarabeus/amd-catalyst-14-4-linux-x86-x86-64.zip"
42 XVBA_SDK_URI="http://developer.amd.com/wordpress/media/2012/10/xvba-sdk-0.74-404001.tar.gz"
43 SRC_URI="${DRIVERS_URI} ${XVBA_SDK_URI}"
44 FOLDER_PREFIX="common/"
45 -IUSE="debug +modules multilib qt4 static-libs disable-watermark pax_kernel"
46 +IUSE="debug +modules multilib qt4 static-libs pax_kernel"
47
48 LICENSE="AMD GPL-2 QPL-1.0"
49 KEYWORDS="-* ~amd64 ~x86"
50
51 -RESTRICT="bindist test"
52 +RESTRICT="bindist test fetch"
53
54 RDEPEND="
55 - <=x11-base/xorg-server-1.13.49[-minimal]
56 + <=x11-base/xorg-server-1.15.49[-minimal]
57 >=app-admin/eselect-opengl-1.0.7
58 app-admin/eselect-opencl
59 sys-power/acpid
60 @@ -44,7 +36,10 @@ RDEPEND="
61 x11-libs/libXrender
62 virtual/glu
63 multilib? (
64 - app-emulation/emul-linux-x86-opengl
65 + || (
66 + virtual/glu[abi_x86_32]
67 + app-emulation/emul-linux-x86-opengl
68 + )
69 || (
70 (
71 x11-libs/libX11[abi_x86_32]
72 @@ -118,6 +113,8 @@ QA_PRESTRIPPED="
73 usr/lib\(32\|64\)\?/libAMDXvBA.so.1.0
74 usr/lib\(32\|64\)\?/libaticaldd.so
75 usr/lib\(32\|64\)\?/dri/fglrx_dri.so
76 + usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
77 + usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libamdocl\(32\|64\).so
78 "
79
80 QA_SONAME="
81 @@ -158,46 +155,40 @@ QA_DT_HASH="
82 usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
83 "
84
85 -CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
86 -ERROR_MTRR="CONFIG_MTRR required for direct rendering."
87 -ERROR_DRM="CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
88 - rendering to work."
89 -ERROR_LOCKDEP="CONFIG_LOCKDEP (lock tracking) exports the symbol lock_acquire
90 - as GPL-only. This prevents ${P} from compiling with an error like this:
91 - FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
92 -ERROR_PAX_KERNEXEC_PLUGIN_METHOD_OR="This config option will cause
93 - kernel to reject loading the fglrx module with
94 - \"ERROR: could not insert 'fglrx': Exec format error.\"
95 - You may want to try CONFIG_PAX_KERNEXEC_PLUGIN_METHOD_BTS instead."
96 -
97 -_check_kernel_config() {
98 - if ! linux_chkconfig_present AGP && \
99 - ! linux_chkconfig_present PCIEPORTBUS; then
100 - ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
101 - ewarn "Direct rendering will not work."
102 - fi
103 -
104 - kernel_is ge 2 6 37 && kernel_is le 2 6 38 && if ! linux_chkconfig_present BKL ; then
105 - die "CONFIG_BKL must be enabled for kernels 2.6.37-2.6.38."
106 - fi
107 +pkg_nofetch() {
108 + einfo "The driver package"
109 + einfo "Linux_AMD_Catalyst_14.3_Beta_V1.0_B22_March12_2014.zip"
110 + einfo "needs to be downloaded manually from"
111 + einfo "http://support.amd.com/en-us/download/desktop?os=Linux%20x86_64"
112
113 - if use amd64 && ! linux_chkconfig_present COMPAT; then
114 - die "CONFIG_COMPAT must be enabled for amd64 kernels."
115 - fi
116 }
117
118 pkg_pretend() {
119 + local CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
120 + use amd64 && CONFIG_CHECK+=" COMPAT"
121 +
122 + local ERROR_MTRR="CONFIG_MTRR required for direct rendering."
123 + local ERROR_DRM="CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
124 + rendering to work."
125 + local ERROR_LOCKDEP="CONFIG_LOCKDEP (lock tracking) exports the symbol lock_acquire
126 + as GPL-only. This prevents ${P} from compiling with an error like this:
127 + FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
128 + local ERROR_PAX_KERNEXEC_PLUGIN_METHOD_OR="This config option will cause
129 + kernel to reject loading the fglrx module with
130 + \"ERROR: could not insert 'fglrx': Exec format error.\"
131 + You may want to try CONFIG_PAX_KERNEXEC_PLUGIN_METHOD_BTS instead."
132 + local ERROR_BKL="CONFIG_BKL must be enabled for kernels 2.6.37-2.6.38."
133 +
134 # workaround until bug 365543 is solved
135 if use modules; then
136 linux-info_pkg_setup
137 require_configured_kernel
138 - _check_kernel_config
139 -
140 - if ! [[ "${KV_EXTRA}" =~ -hardened.* ]] && use pax_kernel; then
141 - eerror "USE pax_kernel enabled for a non-hardened kernel."
142 - eerror "If you know this kernel supports pax_kernel, open a bug at"
143 - eerror "https://bugs.gentoo.org"
144 - die "USE pax_kernel enabled for a non-hardened kernel"
145 + kernel_is ge 2 6 37 && kernel_is le 2 6 38 && CONFIG_CHECK+=" BKL"
146 + check_extra_config
147 + if ! linux_chkconfig_present AGP && \
148 + ! linux_chkconfig_present PCIEPORTBUS; then
149 + ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
150 + ewarn "Direct rendering will not work."
151 fi
152 fi
153
154 @@ -263,12 +254,16 @@ src_unpack() {
155 else
156 RUN="${DISTDIR}/${DRIVERS_DISTFILE}"
157 fi
158 - sh ${RUN} --extract "${S}" 2>&1 > /dev/null || die
159 + sh "${RUN}" --extract "${S}" 2>&1 > /dev/null || die
160 fi
161
162 mkdir xvba_sdk
163 cd xvba_sdk
164 unpack ${XVBA_SDK_DISTFILE}
165 +
166 + mkdir -p "${WORKDIR}/extra" || die "mkdir extra failed"
167 + cd "${WORKDIR}/extra"
168 + tar -xf "../${FOLDER_PREFIX}usr/src/ati/fglrx_sample_source.tgz"
169 }
170
171 src_prepare() {
172 @@ -315,7 +310,10 @@ src_prepare() {
173 # Compile fix for kernel typesafe uid types #469160
174 epatch "${FILESDIR}/typesafe-kuid.diff"
175
176 - epatch "${FILESDIR}/linux-3.10-proc.diff"
177 + epatch "${FILESDIR}/ati-drivers-13.8-beta-include-seq_file.patch"
178 +
179 + # Fix #483400
180 + epatch "${FILESDIR}/fgl_glxgears-do-not-include-glATI.patch"
181
182 # Compile fix, https://bugs.gentoo.org/show_bug.cgi?id=454870
183 use pax_kernel && epatch "${FILESDIR}/const-notifier-block.patch"
184 @@ -335,22 +333,6 @@ src_prepare() {
185 sed -i -e 's/__SMP__/CONFIG_SMP/' *.c *h || die "SMP sed failed"
186 sed -i -e 's/ifdef MODVERSIONS/ifdef CONFIG_MODVERSIONS/' *.c *.h \
187 || die "MODVERSIONS sed failed"
188 - cd "${S}"
189 -
190 - mkdir extra || die "mkdir extra failed"
191 - cd extra
192 - unpack ./../${FOLDER_PREFIX}usr/src/ati/fglrx_sample_source.tgz
193 -
194 - # Get rid of watermark. Oldest known reference:
195 - # http://phoronix.com/forums/showthread.php?19875-Unsupported-Hardware-watermark
196 - if use disable-watermark; then
197 - ebegin "Disabling watermark"
198 - driver="${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/drivers/fglrx_drv.so
199 - for x in $(objdump -d ${driver}|awk '/call/&&/EnableLogo/{print "\\x"$2"\\x"$3"\\x"$4"\\x"$5"\\x"$6}'); do
200 - sed -i "s/${x/x5b/\x5b}/\x90\x90\x90\x90\x90/g" ${driver} || break 1
201 - done
202 - eend $? || die "Disabling watermark failed"
203 - fi
204 }
205
206 src_compile() {
207 @@ -443,7 +425,7 @@ src_install() {
208 insinto /etc/ati
209 exeinto /etc/ati
210 # Everything except for the authatieventsd.sh script.
211 - doins ${FOLDER_PREFIX}etc/ati/{logo*,control,atiogl.xml,signature,amdpcsdb.default}
212 + doins ${FOLDER_PREFIX}etc/ati/{logo*,control,signature,amdpcsdb.default}
213 doexe ${FOLDER_PREFIX}etc/ati/authatieventsd.sh
214
215 # include.